[plt-scheme] an misunderstandable error

From: Jay McCarthy (jay.mccarthy at gmail.com)
Date: Thu Aug 6 08:03:13 EDT 2009

The PLAI package is not a library that you require.

It is a separate language.

Put DrScheme in the module language and write

#lang planet plai/plai:1:3

at the top of your file. This will allow you to write in the PLAI
language. Refer to the documentation:


for more information.


PS. I know the instructions about the book [1] refer to the require
line, but that it is only to install the package, not to use it
regularly. Actually, starting your program with the require line or
the #lang line will both result in the installation of the package.

1. http://www.cs.brown.edu/~sk/Publications/Books/ProgLangs/2007-04-26/

On Thu, Aug 6, 2009 at 5:24 AM, emre berat nebioğlu<beratn at gmail.com> wrote:
> Hey i am using drscheme 4.2 and my language mode Pretty big
> and i am reading plai.Because of this i am using
> (require (planet plai/plai:1:3))
> but when i try to debug my program to understand the function because almost
> all function is from plai book.
> I took this error
> compile: unbound identifier (and no #%top syntax transformer is bound) in:
> num13
> How can i fix this error.My program is excuted truly.I am sending an
> attachment that involves the code.
> _________________________________________________
>  For list-related administrative tasks:
>  http://list.cs.brown.edu/mailman/listinfo/plt-scheme

Jay McCarthy <jay at cs.byu.edu>
Assistant Professor / Brigham Young University

"The glory of God is Intelligence" - D&C 93

Posted on the users mailing list.